
#include "stm32f10x.h"
#include "USART1.h"
#include "systick.h"
#include "mylcd.h"
#include "GUI.h"
#include "apitest.h"
#include "mytouch.h"
#include "timer.h"


int main(void)
{
//	int windows_x;
//	int windows_y;	
//	int Entries=countof(ListBox)-1 ; 
//	int ySize ;	
//	U8 i ;

	
	RCC_Configuration();
	GPIO_Configuration();
	USART_Configuration();
	delay_init();	
	
	GUI_Init();		
	GUI_SetBkColor(GUI_WHITE);
	GUI_SetColor(GUI_BLACK);
	GUI_Clear();
	
	Touch_button();	
	
	while(1);

/*	
		// TIM2 定时配置 
	TIM2_NVIC_Configuration();
  TIM2_Configuration();
	// TIM2 开始计时 
	TIM_Cmd(TIM2, ENABLE);
	
while(1) 
{
	Touch_Process();
	
	Button_Process();	
	
	GUI_Delay(20);	//这个延迟很重要
}

*/
	
/***********************测试LCD的坐标******************************/

/*  
myLCD_Init();
TP_Init();	
while(1)
{
TP_Scan();
}	*/

/***************************测试GUI坐标**************************/

/*
while(1)
{
	GUI_TOUCH_Exec();//读取X,Y的坐标
	delay_ms(10);

	GUI_TOUCH_GetState(&th);

	GUI_DrawPixel(th.x,th.y); 

	if(th.Pressed == 1 && flg == 0)
	{
		flg = 1;
		printf("guix=%d guiy=%d s=%d \n",th.x,th.y,th.Pressed);
	}
	if(th.Pressed == 0)
	{
		flg = 0;
	}
}
*/

/***************************************************************/

// Config_men1(pData);	
//	Dispaly_string();
//	Dispaly_Num();	
//	Draw_pic();	
//	Draw_polygon()	;			
//	Display_Win();
//	Display_button();	
//	Display_checkbox();
//	Display_edit();		
//  Display_framewin();
//	Display_listbox(); 
//	Display_progbar();	
//	Display_scrollbar();
//  Display_text();
//  Display_box();
//  Display_Dbox();
//  Display_AA(); 
//  Touch_key();


}

